﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SilenceORM.TableConfig
{
    /// <summary>
    /// 行特性
    /// </summary>
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = true, Inherited = false)]
    public class ColumnAttribute : Attribute
    {
        /// <summary>
        /// 列明
        /// </summary>
        public string ColumnName { get; set; }

        /// <summary>
        /// 是否是主键
        /// </summary>
        public bool IsPrimaryKey { get; set; }

        /// <summary>
        /// 是否是自增列
        /// </summary>
        public bool IsIdentity { get; set; }

        public ColumnAttribute() { }

        public ColumnAttribute(string columnName)
        {
            ColumnName = columnName;
        }
    }
}
