﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SilenceORM.TableConfig
{
    /// <summary>
    /// 表特性
    /// </summary>
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Struct, AllowMultiple = true, Inherited = false)]
    public class TableAttribute : Attribute
    {
        /// <summary>
        /// 表名
        /// </summary>
        public string TableName { get; set; }

        /// <summary>
        /// 前缀（列）
        /// </summary>
        public string Prefix { get; set; }

        public TableAttribute(string name = "", string prefix = "")
        {
            if(!string.IsNullOrWhiteSpace(name))
                this.TableName = name;

            if(!string.IsNullOrWhiteSpace(prefix))
                this.Prefix = prefix;
        }
    }
}
