﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Data.SqlClient;

using SilenceORM.TableConfig;
using SilenceORM.EF;
using System.Reflection;
using System.Reflection.Emit;
using SilenceORM.CommonUtility;
using System.Diagnostics;

namespace TestConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            SelectAll();

            //Select();

            //Update();

            //Insert();

            //Delete();
        }

        static void SelectAll()
        {
            IList<User> users = EFContext.Select<User>(null);
            if (users != null)
            {
                foreach (User user in users)
                {
                    Console.WriteLine("用户名：{0}，GUID：{1}", user.UserName, user.RecordId);
                }
            }
        }

        static void Select()
        {
            User condition = new User();
            condition.Id = 7;
            condition.UserStatus = 1;

            IList<User> users = EFContext.Select<User>(condition);
            if (users != null && users.Count > 0)
            {
                foreach (User user in users)
                {
                    Console.WriteLine("用户名：{0}，主键：{1}，创建时间：{2}", user.UserName, user.RecordId, user.CreateTime.Value.ToShortDateString());
                }
            }
        }

        static void Insert()
        {
            User user = new User();
            user.RecordId = Guid.NewGuid().ToString("B");
            user.UserStatus = 1;
            user.UserName = "gaoyang";
            user.CreateTime = DateTime.Now;
            EFContext.Insert(user);
        }

        static void Update()
        {
            User condition = new User();
            condition.RecordId = "{7e922480-71e9-458b-9df3-4d8a3e9860e1}";
            condition.UserName = "gaoy123456";
            condition.UserStatus = 1;
            EFContext.Update(condition);
        }

        static void Delete()
        {
            //{b6836666-e7b4-4edc-9a87-47c6bd256c51}
            User user = new User();
            user.RecordId = "{bc8407f5-c93c-41af-b50f-a22b8d9e1dde}";
            EFContext.Delete(user);
        }
    }

    [Table(TableName = "TB_Profile")]
    class User
    {
        [Column(IsIdentity = true)]
        public int Id { get; set; }

        [Column(IsPrimaryKey = true)]
        public string RecordId { get; set; }

        public string UserName { get; set; }

        public int UserStatus { get; set; }

        public int UserFrom { get; set; }

        public DateTime? CreateTime { get; set; }

        public bool IsDel { get; set; }

        public User() { }

        public User(int id, string name)
        {
            Id = id;
            UserName = name;
        }

        public void ShowName(string name)
        {
            Console.WriteLine(name);
        }

        public User CreateUser(int id, string name)
        {
            User user = new User(id, name);
            return user;
        }
    }
}
